Get the listing’s item specifics
GET
/api/v1/workspaces/{workspaceId}/products/{productId}/channels/{connectionId}/item-specifics
const url = 'https://api.crossmart.io/api/v1/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/channels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/item-specifics';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.crossmart.io/api/v1/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/channels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/item-specificsThe item specifics the listing’s channel category asks for (none until it has a category), with the values set on the listing.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string format: uuid
productId
required
string format: uuid
connectionId
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
category
required
object
id
required
string
name
required
The category with its ancestors, as the channel shows it
string
aspects
required
Required first, then recommended, then optional; none without a category
Array<object>
object
name
required
string
required
required
The channel refuses listings in the category without it
boolean
usage
required
string
mode
required
selection_only takes one of values; free_text takes any text
string
multiple
required
Whether a listing may give it several values
boolean
values
required
The channel’s values, the first ones only
Array<string>
itemSpecifics
required
Array<object>
object
name
required
string
values
required
Blank values are dropped; a specific left without values is removed
Array<string>
Example
{ "category": { "id": "20625", "name": "Home & Garden > Kitchen, Dining & Bar > Dinnerware & Serving Dishes > Mugs" }, "aspects": [ { "name": "Color", "usage": "recommended", "mode": "free_text" } ], "itemSpecifics": [ { "name": "Material", "values": [ "Stoneware" ] } ]}